The Will Will Web

記載著 Will 在網路世界的學習心得與技術分享

解決WebMatrix 2.0不斷提示新版升級的問題 (與Web PI有關)

最近開啟 Microsoft WebMatrix 2.0 都會一直提示我要升級,雖然我每次都有乖乖的安裝升級,但卻每次都要我安裝 Microsoft SQL Server Compact 4.0 SP1 指令碼工具這個套件,討厭的地方就在於這套件並沒有官方的下載頁面,所以也不知道去哪裡找下載連結,最後才研究出真正的原因在於 Microsoft WebMatrix 對於Microsoft SQL Server Compact 4.0 SP1 Scripting Tool 套件的升級與否是用「英文版」來判斷的,但每次透過 Web Platform Installer 4.0 安裝的卻都只有安裝繁體中文版,所以才造成每次都提示要升級的窘境。

我們先來看看發生問題的過程:

1. 每次開啟 Microsoft WebMatrix 都會提示要升級,如下圖示:

2. 當你按下「我接受」會自動觸發 Web Platform Installer 自動安裝所需套件,只是在下載 Microsoft SQL Server Compact 4.0 SP1 指令碼工具 套件時,微軟網站會自動抓取「繁體中文」的版本,所以每次升級每次都裝不到正確的套件版本:

 

如果你也遇到這個問題,可參照以下步驟對 Web Platform Installer 進行選項設定即可修復這個問題:

1. 開啟 Web Platform Installer 4.0 工具,並點選「選項」進行設定

2. 將「為軟體安裝選取您慣用的語言」切換至【英文】,按下確定鍵並結束 Web Platform Installer 程式

 

最後,再次開啟 Microsoft WebMatrix 並再執行升級一次,問題便會迎刃而解!

 

補充資訊

  • Web Platform Installer 的安裝記錄都在這個目錄下,這裡可以找到套件下載網址:
    %LOCALAPPDATA%\Microsoft\Web Platform Installer\logs\install
  • 透過 Web Platform Installer 下載的安裝檔案都放在以下這個目錄:
    %LOCALAPPDATA%\Microsoft\Web Platform Installer\installers
  • 若找到繁體中文的套件連結後,其實可以透過 clcid 參數切換來找到其他語言的相同檔案!

 

相關連結